List setup runs
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "<string>",
"kind": "<string>",
"organizationId": "<string>",
"setupRunId": "<string>",
"status": "<string>",
"computeId": "<string>",
"computeProfile": {},
"durationMs": 0,
"exitCode": 0,
"failedCommand": "<string>",
"failedLine": 0,
"failureCode": "<string>",
"fingerprint": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"gpuReadiness": {},
"hint": "<string>",
"hintCode": "<string>",
"image": "<string>",
"imageCapture": {
"at": "2023-11-07T05:31:56Z",
"setupRunId": "<string>",
"status": "failed",
"message": "<string>",
"reason": "<string>"
},
"imageId": "<string>",
"logBytes": 0,
"logLines": 0,
"logTruncated": true,
"message": "<string>",
"nextAction": {
"method": "<string>",
"operationId": "managedAgentsGetEnvironmentSetupRunLogV2",
"path": "<string>"
},
"phase": "<string>",
"providerRunId": "<string>",
"requestedByUserId": "<string>",
"sessionId": "<string>",
"setupImage": {
"baseImageDigest": "<string>",
"capturedAt": "2023-11-07T05:31:56Z",
"computeId": "<string>",
"fingerprint": "<string>",
"generation": 0,
"image": "<string>",
"imageId": "<string>",
"runnerImage": "<string>",
"setupRunId": "<string>",
"sizeBytes": 0,
"usable": true,
"warmup": "<string>",
"warmupMessage": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"stderrTail": "<string>"
}
]
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Environments
List setup runs
Returns the environment’s recent setup runs, newest first: manual, automatic runner_refresh, and legacy session-triggered runs. The newest manual or runner_refresh run supplies the environment’s setupVerification verdict; a session run records legacy in-session setup and can be read here by its sessionId.
GET
/
managed-agents
/
v2
/
environments
/
{environmentId}
/
setup-runs
List setup runs
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/environments/{environmentId}/setup-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"environmentId": "<string>",
"kind": "<string>",
"organizationId": "<string>",
"setupRunId": "<string>",
"status": "<string>",
"computeId": "<string>",
"computeProfile": {},
"durationMs": 0,
"exitCode": 0,
"failedCommand": "<string>",
"failedLine": 0,
"failureCode": "<string>",
"fingerprint": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"gpuReadiness": {},
"hint": "<string>",
"hintCode": "<string>",
"image": "<string>",
"imageCapture": {
"at": "2023-11-07T05:31:56Z",
"setupRunId": "<string>",
"status": "failed",
"message": "<string>",
"reason": "<string>"
},
"imageId": "<string>",
"logBytes": 0,
"logLines": 0,
"logTruncated": true,
"message": "<string>",
"nextAction": {
"method": "<string>",
"operationId": "managedAgentsGetEnvironmentSetupRunLogV2",
"path": "<string>"
},
"phase": "<string>",
"providerRunId": "<string>",
"requestedByUserId": "<string>",
"sessionId": "<string>",
"setupImage": {
"baseImageDigest": "<string>",
"capturedAt": "2023-11-07T05:31:56Z",
"computeId": "<string>",
"fingerprint": "<string>",
"generation": 0,
"image": "<string>",
"imageId": "<string>",
"runnerImage": "<string>",
"setupRunId": "<string>",
"sizeBytes": 0,
"usable": true,
"warmup": "<string>",
"warmupMessage": "<string>"
},
"startedAt": "2023-11-07T05:31:56Z",
"stderrTail": "<string>"
}
]
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}